at.chipkarte.client.elgaad.soap

## Class Id

- Object
- - at.chipkarte.client.elgaad.soap.Id

-     public class Id
      extends Object

  ID Spezifikation.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Id zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Id()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAssigningAuthorityName()` Name der für die Zuweisung dieser ID zuständigen Stelle.
    `String` | `getExtension()` Extension der Id.
    `String` | `getRoot()` Root der Id.
    `void` | `setAssigningAuthorityName(String assigningAuthorityName)`
    `void` | `setExtension(String extension)`
    `void` | `setRoot(String root)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Id

          public Id()

  - ### Method Detail

    - #### getAssigningAuthorityName

          public String getAssigningAuthorityName()

      Name der für die Zuweisung dieser ID zuständigen Stelle.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        assigningAuthorityName

    - #### setAssigningAuthorityName

          public void setAssigningAuthorityName(String assigningAuthorityName)

    - #### getRoot

          public String getRoot()

      Root der Id.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        root

    - #### setRoot

          public void setRoot(String root)

    - #### getExtension

          public String getExtension()

      Extension der Id.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        extension

    - #### setExtension

          public void setExtension(String extension)